<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            :destroy-on-close="true"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
              <Field :span="20" label="职位名称" prop="positionName" v-model="form.positionName" placeholder="请输入职位名称"/>
              <Field :span="20"  label="职位编码" prop="positionCode" v-model="form.positionCode" placeholder="请输入职位编码"/>
                            <Field  :span="20" label="备注" prop="remark" v-model="form.remark" type="textarea" placeholder="请输入备注"/>

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "PositionDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("position")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "职位信息",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                    "type",
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                    positionName :[
                        { required: true, message: "请输入职位名称", trigger: "blur" },
                        { max: 30, message: "最多只能录入30个字符", trigger: "blur" }
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="position/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改职位信息";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "position/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增职位信息";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="position/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "职位信息详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    groupId : null,
                    groupName : "",
                    positionCode : "",
                    positionName : "",
                    type : 1,
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
